<template>
  <div>
    <section id="hero" class="">
      <div class="fr-container fr-pt-6w">
        <div class="fr-grid-row fr-grid-row--gutters">
          <div class="fr-col-lg-5 img-container">
            <img class="anct-hero-img" src="/images/illu.png" alt="" />
          </div>
          <div class="fr-col-lg-6 fr-ml-4w">
            <FrTitle larger black>
              Faciliter l’intervention des agents de votre collectivité.
            </FrTitle>
            <FrSubTitle>
              L'application pour planifier et faciliter les interventions
              techniques dans votre collectivité
            </FrSubTitle>

            <a
              href="https://tally.so/r/nPOl95"
              class="fr-btn"
              rel="noopener"
              target="_blank"
              >Nous contacter</a
            >
          </div>
        </div>
      </div>
    </section>

    <section class="fr-my-16w">
      <div class="fr-container fr-pt-6w">
        <div class="fr-grid-row fr-grid-row--gutters">
          <div class="fr-col-lg-5 anct-mg-right">
            <FrTitle tag="h2" larger black
              >Une application web pour la coordination</FrTitle
            >
            <p>Pour travailler en équipe à distance :</p>

            <ul class="fr-pl-0">
              <FrCheckListItem
                v-for="({ title, text }, index) in sections[0]"
                :key="`check-item-0${index}`"
                :title="title"
                :description="text"
              />
            </ul>
          </div>
          <div class="fr-col-lg-6 fr-mr-4w anct-box-shadow anct-img">
            <img src="/images/calendar.png" alt="" style="max-width: 100%" />
          </div>
        </div>
      </div>
    </section>

    <section class="fr-my-16w">
      <div class="fr-container fr-pt-6w">
        <div class="fr-grid-row fr-grid-row--gutters">
          <div
            class="fr-col-lg-5 fr-ml-4w anct-box-shadow anct-img"
            style="height: fit-content"
          >
            <img
              src="/images/intervention.png"
              alt=""
              style="max-width: 100%"
            />
          </div>
          <div class="fr-col-lg-6 anct-mg-left">
            <FrTitle tag="h2" larger black
              >Une application mobile pour les agents</FrTitle
            >
            <p>Pour accéder à l'essentiel en un clic :</p>

            <ul class="fr-pl-0">
              <FrCheckListItem
                v-for="({ title }, index) in sections[1]"
                :key="`check-item-0${index}`"
                :title="title"
              />
            </ul>
          </div>
        </div>
      </div>
    </section>

    <section class="fr-my-16w fr-container">
      <FrQuote
        author="Pierre-Yves BRAULT"
        image-path="/images/quote_illustration.png"
      >
        <p>
          Grâce à Agents en Intervention (ex-SILAB), nos agents capturent,
          géolocalisent et décrivent leurs interventions en un seul geste sur
          leur smartphone. Plus de 6 900 actions enregistrées en 4 ans, avec des
          retours positifs des agents.
        </p>
        <template #details>
          <li>
            <cite>Direction des Solutions et Innovations Numériques</cite>
          </li>
          <li><cite>Grand Poitiers Communauté Urbaine</cite></li>
        </template>
      </FrQuote>
    </section>

    <section class="fr-my-16w">
      <div
        class="fr-container fr-py-6w"
        style="text-align: center; background-color: #ececfe"
      >
        <FrTitle tag="h2" larger black>Une question ?</FrTitle>
        <FrSubTitle>Contactez-nous</FrSubTitle>
        <a
          href="https://tally.so/r/nPOl95"
          class="fr-btn"
          rel="noopener"
          target="_blank"
          >Nous écrire</a
        >
      </div>
    </section>
  </div>
</template>

<script>
import FrTitle from '~/components/ui/Title';
import FrSubTitle from '~/components/ui/SubTitle';
import FrCheckListItem from '~/components/ui/CheckListItem';
import FrQuote from '~/components/elements/Quote';

const sections = [
  [
    {
      title: 'Programmer les interventions techniques en quelques clics',
    },
    {
      title:
        'Partagez les informations de travail sur une application accessible à tous',
    },
    {
      title: 'Suivre à distance les missions en cours',
    },
    {
      title: "Soulager l'équipe avec une organisation plus fluide",
    },
  ],
  [
    {
      title:
        'Consulter sa liste des missions à effectuer, mise à jour en temps réel',
    },
    {
      title: 'Accéder aux documents techniques à distance',
    },
    {
      title: 'Communiquer sur l’avancée de son travail',
    },
    {
      title: 'Valoriser son travail en enregistrant les missions effectuées',
    },
  ],
];

export default {
  name: 'HomePage',

  components: {
    FrSubTitle,
    FrTitle,
    FrCheckListItem,
    FrQuote,
  },

  layout: 'raw',

  data() {
    return {
      sections,
    };
  },
};
</script>

<style>
#hero {
  background-color: #ececfe;
  height: 35rem;
  display: flex;
  flex-direction: row;
  align-items: center;
}
.anct-box-shadow {
  padding: 0 !important;
  border-radius: 0.25rem;
  box-shadow: 0rem 0.25rem 0.5rem 0rem #ccc8c8;
}

.anct-hero-img {
  width: 100%;
}

@media screen and (max-width: 999px) {
  .anct-hero-img,
  .anct-img {
    display: none;
  }
  .anct-mg-left {
    margin-left: 0px;
  }
}
</style>
